Jump to content

OpenGL ES on pulse?


Guest Aton
 Share

Recommended Posts

It's quite an old topic, but maybe my problem is related to it.

I use r2a-update-ccr-pulse-signed.zip. There are plenty of apps that only shows a white screen while the app is working correctly except I can't see anything. For example NFS Shift, or the newest Waze beta.

I think this problem is related to some OpenGL version problem. One of my friend told to me that these progams work perfectly with non T-mobile style ROMs. Can anyone tell me the reason?

What is the difference beetween a T-Mobile style ROM or any other Vanilish-like ROM related to OpenGL?

Thanks!

Link to comment
Share on other sites

i have some problems to connect my pulse with adb, it does not recognize my device. please, can someone do a .zip file for flash, so i can spare the connection with adb? thx in advance

Link to comment
Share on other sites

  • 2 months later...
Guest spanner44

I know that this is an old thread, but I stumbled across this thread whilst looking for another thread, but was wondering if this is still relevant to the existing Roms, and does it make a good difference.

Link to comment
Share on other sites

  • 4 weeks later...
Guest Nayjest

Can somebody share libhgl.so?

T tried to follow instructions but I cann't get root via adb in recovery mode to mount RAMdisk that contains this lib.

In default mode I write 'su' in adb, see confirmation window on screen of my device, tap "allow" and and I get root, but in recovery mode it doesn't work.

Maby it's an other way to get this lib from img file & replace it?

Edited by Nayjest
Link to comment
Share on other sites

Guest McSpoon

Indeed. This thread is very old. When the Pulse was first released it had a very slow OpenGL-ES library but they upgraded it to a faster version from the December 2009 update onwards. So I would assume the version you currently have installed is likely to be better than the old G1 version.

Link to comment
Share on other sites

Guest Nayjest

Probably my ROM don't have this updates bacause I have device branded with ukrainian "Life" mobile operator and even in simple scenes with few plygons without textures I don't seen more than 10 FPS. Also it's no updates available via standard updating interface. So I think that I still need to update libhgl.so

Share somebody libhgl.so, please

Edited by Nayjest
Link to comment
Share on other sites

Guest sun lbx

Antonio,

but what if to try to extract this file from some HTC device with the same CPU and official 2.2 running?

BTW

When oficial Gingerbread will come to HTC Hero, for example, replacing our native GL library will make sence. Because they say that 3D perfomance of Gingerbread is better than ever

==

hey, guy with u8110, make sure you have a hardware 3d accelerator.

as far as i remember, this phone aint got that thing

Link to comment
Share on other sites

Guest flip360
Probably my ROM don't have this updates bacause I have device branded with ukrainian "Life" mobile operator and even in simple scenes with few plygons without textures I don't seen more than 10 FPS. Also it's no updates available via standard updating interface. So I think that I still need to update libhgl.so

Share somebody libhgl.so, please

i think you should install CyanogenMod 6.1 ROM

Link to comment
Share on other sites

Guest AntonioPT
Antonio,

but what if to try to extract this file from some HTC device with the same CPU and official 2.2 running?

BTW

When oficial Gingerbread will come to HTC Hero, for example, replacing our native GL library will make sence. Because they say that 3D perfomance of Gingerbread is better than ever

==

hey, guy with u8110, make sure you have a hardware 3d accelerator.

as far as i remember, this phone aint got that thing

I don't know if HTC is going to release 2.2 for any device with our CPU, but if it does, it's just a matter of trying to put the libhgl.so file on our phones and see if that makes any difference.

Link to comment
Share on other sites

  • 2 weeks later...
Guest AntonioPT
I have copied the lighgl.so to the right place, but nothing happened.

libhgl.so only works on Android 1.5.

You're probably using 2.1 or 2.2, that's why it doesn't work.

Link to comment
Share on other sites

  • 4 weeks later...
Guest TonyDigi

Upgrade your OpenGL ES version to 1.1 . Guilde it here link . It works perfect on CM6,

or you can use my tutorial

1- change value on line ro.opengles.version=65536 to 65537 in build.prop

2- download this libGLES_qcom.so link here and copy it to

/system/lib/egl/ (it will replace your old libGLES_qcom.so)

3- reboot

use terminal and astro

1- use astro copy your build.prop to sdcard, edit ro.opengles.version=65536 to 65537 and save

2-copy new libGLES_qcom.so to your sdcard

3-open terminal and type

su

mount -o remount,rw -t yaffs2 /dev/block/mtdblock4 /system

cp /sdcard/build.prop /system/

cp /sdcard/libGLES_qcom.so /system/lib/egl/

and reboot

4-check by Quarant Standard , now you have OpenGL 1.1-CM

GPU's better now, some game have better performance like angrybird,Doodle Dash ...

GL

P/s: i use it for CM6 AIO ver0.5

Link to comment
Share on other sites

  • 5 weeks later...
Guest iKrautDroid
Upgrade your OpenGL ES version to 1.1 . Guilde it here link . It works perfect on CM6,

or you can use my tutorial

1- change value on line ro.opengles.version=65536 to 65537 in build.prop

2- download this libGLES_qcom.so link here and copy it to

/system/lib/egl/ (it will replace your old libGLES_qcom.so)

3- reboot

use terminal and astro

1- use astro copy your build.prop to sdcard, edit ro.opengles.version=65536 to 65537 and save

2-copy new libGLES_qcom.so to your sdcard

3-open terminal and type

su

mount -o remount,rw -t yaffs2 /dev/block/mtdblock4 /system

cp /sdcard/build.prop /system/

cp /sdcard/libGLES_qcom.so /system/lib/egl/

and reboot

4-check by Quarant Standard , now you have OpenGL 1.1-CM

GPU's better now, some game have better performance like angrybird,Doodle Dash ...

GL

P/s: i use it for CM6 AIO ver0.5

does it work on flb mod 1.7?

Link to comment
Share on other sites

Guest iKrautDroid
I would say yes, but make a backup.

There is no openGL ES line in the flb mod 1.7 build.prop.

can i give up on a newer openGl ES or is there still a way i can update.

Link to comment
Share on other sites

Guest Boony123
There is no openGL ES line in the flb mod 1.7 build.prop.

can i give up on a newer openGl ES or is there still a way i can update.

ro.opengles.version=65537

just add the line in there see if that works :D

Link to comment
Share on other sites

Guest iKrautDroid
ro.opengles.version=65537

just add the line in there see if that works :D

Could you or someone else try this because im really happy with my Flb mod andi dont want to wreck anything.

Please!? :D

Link to comment
Share on other sites

Guest AntonioPT
Could you or someone else try this because im really happy with my Flb mod andi dont want to wreck anything.

Please!? :D

You won't wreck anything. Just backup the original .so file, modify build.prop, add new .so file and you're done! If anything goes wrong, just put back the original file and remove the line from build.prop.

Link to comment
Share on other sites

Please sign in to comment

You will be able to leave a comment after signing in



Sign In Now
 Share

×
×
  • Create New...

Important Information

By using this site, you agree to our Terms of Use.